Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.httppubsub
Interface ClientManager

public interface ClientManager

ClientManager is responsible for create Client and manage all Clients.

Method Summary
`void` | `addClient(Client client)` Add a new client to client manager.
`Client` | `createClient()` Create a new client instance.
`LocalClient` | `createLocalClient()` Create a local client instance.
`Client` | `findClient(java.lang.String clientId)` Find a client object by specified client id string.
`void` | `removeClient(Client client)` Remove specified client from client manager.

Method Detail

### createClient

    public Client createClient()

  Create a new client instance. This should be only place for client instantiating.

  Returns:
    Client instance.

### createLocalClient

    public LocalClient createLocalClient()

  Create a local client instance.

  Returns:
    LocalClient instance.

### findClient

    public Client findClient(java.lang.String clientId)

  Find a client object by specified client id string.

  Parameters:
    `clientId` - Client id string.
  Returns:
    Client object, return null if not found.

### addClient

    public void addClient(Client client)

  Add a new client to client manager.

  Parameters:
    `client` - Client object, do nothing if pass in null.
  Throws:
    java.lang.IllegalArgumentException - If pass in null client object.

### removeClient

    public void removeClient(Client client)

  Remove specified client from client manager.

  Parameters:
    `client` - Client object. do nothing if pass in null or given client not in client manager.
  Throws:
    java.lang.IllegalArgumentException - If pass in null client object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.